#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

%define  framework_version 5.29.0

Summary:        KDE Frameworks 5 Tier 2 library to load and install packages as plugins
Name:           kpackage
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros
BuildRequires:  ki18n-devel >= %framework_version
BuildRequires:  kconfig-devel >= %framework_version
BuildRequires:  karchive-devel >= %framework_version
BuildRequires:  kdoctools-devel >= %framework_version
BuildRequires:  kcoreaddons-devel >= %framework_version

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
KDE Frameworks 5 Tier 2 library to load and install non-binary packages as
if they were plugins.

%files -f lib%{name}5.lang
%_kf5_bindir/kpackagetool5
%_kf5_datadir/kservicetypes5/kpackage-packagestructure.desktop
%_kf5_datadir/kservicetypes5/kpackage-generic.desktop
%_kf5_mandir/*/man?/*
%_kf5_mandir/man1/kpackagetool5.1.*

#--------------------------------------------------------------------

%define kf5package_major 5
%define libkf5package %mklibname kf5package %{kf5package_major}

%package -n %libkf5package
Summary:      KDE Frameworks 5 Tier 2 library to load and install packages as plugins
Group:        System/Libraries

%description -n %libkf5package
KDE Frameworks 5 Tier 2 library to load and install non-binary packages as
if they were plugins.

%files -n %libkf5package
%_kf5_libdir/libKF5Package.so.%{kf5package_major}*

#--------------------------------------------------------------------

%define kf5package_devel %mklibname kf5package -d

%package -n %kf5package_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5package = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5package_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5package_devel
%_kf5_includedir/KPackage
%_kf5_includedir/kpackage_version.h
%_kf5_libdir/cmake/KF5Package
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build
%find_lang lib%{name}5



%changelog
* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089308
- New version 5.32.0

* Fri Dec 16 2016 neoclust <neoclust> 5.29.1-1.mga6
+ Revision: 1075541
- New version 5.29.1

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074556
- New version 5.29.0

* Mon Dec 05 2016 neoclust <neoclust> 5.28.1-1.mga6
+ Revision: 1072560
- New version 5.28.1

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072220
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058375
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050552
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045130
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041352
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021950
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014360
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999652
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986345
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942269
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921298
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913020
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909872
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900468
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899568
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898942
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888182
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881406
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862967
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862700
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853812
- New version 5.12.0

* Mon Jun 29 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 847344
- imported package kpackage

